﻿@page
@model LoginModel

@{
    ViewData["Title"] = "Log in";
}

<div class="row">
    <div class="col-md-9">
        <section>
            <form id="account" method="post">
                <div class="x-large-text mt-3 mb-3">Please use your network username and password to log in</div>
                <hr />
                <div asp-validation-summary="All" class="text-danger"></div>
                <div class="form-group col-6">
                    <label asp-for="Input.UserName"></label><i class="text-black-50 ml-3">(Usually firstname.lastname)</i>
                    <input asp-for="Input.UserName" class="form-control" />
                    <span asp-validation-for="Input.UserName" class="text-danger"></span>
                </div>
                <div class="form-group col-6">
                    <label asp-for="Input.Password"></label>
                    <input asp-for="Input.Password" class="form-control" />
                    <span asp-validation-for="Input.Password" class="text-danger"></span>
                </div>
                <div class="form-group col-6">
                    <div class="checkbox">
                        <label asp-for="Input.RememberMe">
                            <input asp-for="Input.RememberMe" />
                            @Html.DisplayNameFor(m => m.Input.RememberMe)
                        </label>
                    </div>
                </div>
                <div class="form-group col-6">
                    <button id="submit-btn" type="submit" class="btn btn-primary">Log in</button>
                </div>
            </form>
        </section>
    </div>
</div>

@section Scripts {
    <partial name="_ValidationScriptsPartial" />

    <script asp-add-nonce="true">
        $(function () {
            $('#account').submit(function () {
                if ($(this).valid()) {
                    $('#submit-btn').html('Logging in... <div class="spinner-border spinner-border-sm" role="status"><span class= "sr-only"> Loading...</span></div>');
                    $('#submit-btn').prop('disabled', 'true');
                }
            })
        })
    </script>
}
